C
C Model control variables
C
      common/comctl/itsst   ,nsrest  ,iradsw  ,iradlw  ,iradae  ,
     $              anncyc  ,nlend   ,nlres   ,nlhst   ,lbrnch  ,
     $             ldebug   ,aeres   ,doslt   ,ozncyc  ,sstcyc  ,
     $             dodiavg  ,aeregen ,cpuchek ,accrst  ,parhist
      integer
     $     itsst,   ! Sea surf. temp. update freq. (iters)
     $     nsrest,  ! Restart flag
     $     iradsw,  ! Iteration frequency for shortwave radiation computation
     $     iradlw,  ! Iteration frequency for longwave radiation computation
     $     iradae   ! Iteration freq. for absorptivity/emissivity comp
      logical
     $     anncyc,  ! Do annual cycle (otherwise perpetual)
     $     nlend,   ! Flag for end of run
     $     nlres,   ! If true, continuation run
     $     nlhst,   ! If true, regeneration run
     $     lbrnch,  ! If true, branch run
     $     ldebug,  ! If in debug mode, link output files to /usr/tmp
C                   !    before mswrite, and remove all but last file
     $     aeres,   ! If true, a/e data will be stored on restart file
     $     doslt,   ! true -> slt,    false -> spectral transport
     $     ozncyc,  ! If true, cycle ozone dataset
     $     sstcyc,  ! If true, cycle sst dataset
     $     dodiavg, ! true => diurnal averaging
     $     aeregen, ! true => absor/emis part of regeneration data
     $     cpuchek, ! If true, check remaining cpu time at each writeup
     $     accrst,  ! If true, Accumulate restart files.  Else toggle.
     $     parhist  ! If true, parallel history writes, else single.
C
