C common area for parallel decomposition
      integer m_pin,          ! my processor identification number
     $        m_pin_ln,       ! my processor number in lon
     $        m_pin_lt,       ! my processor number in lat
     $        m_pin_up,       ! next processor up in lat
     $        m_pin_dwn,      ! next processor down in lat
     $        m_pin_lft,      ! next processor left in lon
     $        m_pin_rht       ! next processor right in lon

      integer m_glat          !
      integer m_glon          !

      integer m_mtrue,        ! Fourier wavenumber array
     $        m_fwavdex,      ! index of wave in post FFT vector
     $        m_fwavbeg,      ! always 1 (until we go to ring algorithm)
     $        m_fwavend,      ! number of Fourier coeficients on this proc.
     $        m_lenalp,       ! number of spectral coefs for this M
     $        m_offalp        ! offset to first ALP for this M column

      integer m_nspect        ! number of spect. coefs on this proc.
      integer m_nspect2       ! double number of spect. coefs on this proc.

      integer m_type          ! message identifier (used by sends and recvs)

      logical l_pwave0        ! wavenumber zero on processor?
      integer m_pwave0_dex    ! index of wavenumber zero

      real    r_tmp           ! real work array for gadd.c

c note that plon comes from pmgrid.com
c note that pspl comes from pspect.com
      dimension m_mtrue(plon/2), m_fwavdex(plon/2)
      dimension m_lenalp(plon/2), m_offalp(plon/2)
      dimension r_tmp(pspl)
      integer mapmesh(0:p_nproc_ln-1, 0:p_nproc_lt-1)
      integer maprow( 0:p_nproc_ln-1 )
      integer mapcol( 0:p_nproc_lt-1 )

      common /comparll/ m_pin, m_pin_ln, m_pin_lt, m_pin_up, m_pin_dwn,
     $ m_pin_lft, m_pin_rht, m_glat, m_glon, m_mtrue, m_fwavdex,
     $ m_fwavbeg, m_fwavend, m_lenalp, m_offalp, m_type, m_pwave0_dex,
     $ m_nspect, m_nspect2,
     $ mapmesh, maprow, mapcol, l_pwave0
      common /comparl2/ r_tmp


