C
C Horizontal diffusion common block
C
      common/comhd/cnfac,cnlim,dif2,dif4,hdfsd2(pnmax),hdfst2(pnmax),
     $             hdfsd4(pnmax),hdfst4(pnmax),hdiftq(pnmax,plev),
     $             hdifzd(pnmax,plev),kmnhd4,kmxhd2,kmxhdc,nindex(plev),
     $             nmaxhd
C
      real cnfac,   ! Courant num factor(multiply by max |V|)
     $     cnlim,   ! Maximum allowable courant number
     $     dif2,    ! Del^2 diffusion coeff. (also namelist variable)
     $     dif4,    ! Del^4 diffusion coeff. (also namelist variable)
     $     hdfsd2,  ! Del^2 multiplier for each wave (vorticity-divergence)
     $     hdfst2,  ! Del^2 multiplier for each wave (t-q)
     $     hdfsd4,  ! Del^4 multiplier for each wave (vorticity-divergence)
     $     hdfst4,  ! Del^4 multiplier for each wave (t-q)
     $     hdiftq,  ! Temperature-tracer diffusion factors
     $     hdifzd   ! Vorticity-divergence diffusion factors
      integer
     $     kmnhd4,  ! Top level for del^4 diffusion
     $     kmxhd2,  ! Bottom level for increased del^2 diffusion
     $     kmxhdc,  ! Number of levels to apply truncation (also in namelist)
     $     nindex,  ! Starting index for spectral truncation
     $     nmaxhd   ! Maximum two dimensional wave number
C
