#include "params.h"
      subroutine writup(kstep   ,lat     ,hbuf, lhbuf)
C-----------------------------------------------------------------------
C
C Test for history tape write time of each tape and write data records.
C
C---------------------------Code history--------------------------------
C
C Original version:  L. Bath
C Standardized:      L. Bath, June 1992
C
C-----------------------------------------------------------------------
      implicit none
C------------------------------Parameters-------------------------------
#include "pmgrid.com"
#include "pagrid.com"
C------------------------------Commons----------------------------------
#include "comhed.com"
C-----------------------------------------------------------------------
#include "comhst.com"
C------------------------------Arguments--------------------------------
C
C Input arguments
C
      integer kstep,        ! Current time step
     $        lat           ! Latitude index
      integer lhbuf         ! Length of history tape buffer
      real    hbuf(lhbuf)   ! History tape buffer
C
C---------------------------Local variables-----------------------------
C
      logical      lwrite   ! Flag to indicate time to write tape
      integer      ktape,   ! History tape number used as index
     $             kfld     ! Starting field number for each tape
C
C------------------------------Externals--------------------------------
C
      logical whenwr
      external wshist,      ! Write latitude records to history tape
     $         whenwr       ! Is it time to write this tape?
C
C-----------------------------------------------------------------------
C
#ifdef NOOUT
      return
#endif
      kfld = 1
      do ktape=1,mtapes
C
C Call whenwr to determine if it is write time for ktape
C
         lwrite = whenwr(kstep   ,ktape)
         if (lwrite) then
            call wshist(ktape   ,lat     ,mflds(1,kfld),
     $                     hbuf(hbufpt(ktape)), lhbuf)
         end if
         kfld = kfld + nflds(ktape)
      end do
C
      return
      end
