#include "params.h"   
#ifndef WORD4
#  define scrft dcrft
#  define srcft drcft
#endif

#ifdef ESSL_FFT
      subroutine esslft(a,work,inc,jump,n,m,isign)
c inserted by implnone
      implicit none
c declarations inserted by implnone
      real a,work,scale
c declarations inserted by implnone
      integer inc,isign,jump,m,n,i,j,ib,i1,i2,jump2
      DIMENSION A(*),WORK(N+2,M)
      include 'ibmfft.com'
c  
c--   Following data are good only for n < 128, which was used in PCCM2
c--   and defined in ibmfft.com
c     data naux1,naux2 /2156,772/ 
c   
c--   The genearl formular for naux1, naux2 are:
c
c     if( n .le. 16384 ) then
c       naux1=25000
c       naux2=20000
c     else
c       naux1=20000+0.82*n
c       naux2=20000+0.57*n
c     end if

      if(mod(jump,2) .eq. 0) then
c
c--   For the case when jump is a even number .......      
c
      jump2=jump/2
      if(isign .eq. 1) then
        scale=1.0
        ibmsign=-1
        if(isign.ne.ibmtype .or. m.ne.ibmm .or. n.ne.ibmn) then
        call scrft(1,a,jump2,a,jump,n,m,ibmsign,scale,aux1,naux1,
     $           aux2,naux2,aux3,0)
        ibmn=n
        ibmm=m
        ibmtype=isign
        end if
        call scrft(0,a,jump2,a,jump,n,m,ibmsign,scale,aux1,naux1,
     $           aux2,naux2,aux3,0)
c
c--    Initialize zero data to consist with fft991
c
        ib=n*inc+1
        do i=1,m
          a(ib)=0.0
          a(ib+inc)=0.0
          ib=ib+jump
        end do
      else 
        scale=1.0/float(n)
        ibmsign=1
        if(isign.ne.ibmtype .or. m.ne.ibmm .or. n.ne.ibmn) then 
        call srcft(1,a,jump,a,jump2,n,m,ibmsign,scale,aux1,naux1,
     $           aux2,naux2,aux3,0)
        ibmn=n
        ibmm=m
        ibmtype=isign
        end if 
        call srcft(0,a,jump,a,jump2,n,m,ibmsign,scale,aux1,naux1,
     $           aux2,naux2,aux3,0)
      end if  
c
c--   For the case when jump is an odd number .......      
c
      else
      jump2=(n/2)+1
      if(isign .eq. 1) then
        scale=1.0
        ibmsign=-1
c
c---  Swap the data from a to work, while jump is an odd number
c
c         i1=1
          i2=1
          do i=1,m
            do j=1,n+2
              work(j,i)=a(i2)
c             i1=i1+1
              i2=i2+1
            end do
            i2=jump*i+1
          end do 
c
        if(isign.ne.ibmtype .or. m.ne.ibmm .or. n.ne.ibmn) then 
      write(0,*)'5 jump, jump2 ', jump, jump2
        call scrft(1,work,jump2,a,jump,n,m,ibmsign,scale,aux1,naux1,
     $           aux2,naux2,aux3,0)  
        ibmn=n
        ibmm=m
        ibmtype=isign
        end if 
      write(0,*)'6 jump, jump2 ', jump, jump2
        call scrft(0,work,jump2,a,jump,n,m,ibmsign,scale,aux1,naux1,
     $           aux2,naux2,aux3,0)
c
c--    Initialize zero data to make it consist with original fft991
c
c       ib=n*inc+1
c       do i=1,m
c         a(ib)=0.0
c         a(ib+inc)=0.0
c         ib=ib+jump
c       end do
      else 
        scale=1.0/float(n)
        ibmsign=+1
        if(isign.ne.ibmtype .or. m.ne.ibmm .or. n.ne.ibmn) then 
      write(0,*)'7 jump, jump2 ', jump, jump2
        call srcft(1,a,jump,work,jump2,n,m,ibmsign,scale,aux1,naux1,
     $           aux2,naux2,aux3,0)
        ibmn=n
        ibmm=m
        ibmtype=isign
        end if 
      write(0,*)'8 jump, jump2 ', jump, jump2
        call srcft(0,a,jump,work,jump2,n,m,ibmsign,scale,aux1,naux1,
     $           aux2,naux2,aux3,0)
c
c---  Swap the data from work to a
c
c        i1=1
         i2=1
        do i=1,m
          do j=1,n+2  
            a(i2)=work(j,i)
c           i1=i1+1
            i2=i2+1
          end do
            i2=jump*i+1
        end do 
      end if  
      end if  
      return
      end   
c
#else
c just something to keep the compiler happy so it doesn t think
c it is looking at an empty file
      subroutine essl_stub
      return
      end
#endif

