#include "params.h"
      subroutine bnddyi(cdate   ,csec    ,doy)
C-----------------------------------------------------------------------
C
C Convert date and seconds of day to floating point calendar day, for
C boundary dataset handling
C
C---------------------------Code history--------------------------------
C
C Original version:  L. Bath, April 1992
C Standardized:      L. Bath, June 1992
C
C-----------------------------------------------------------------------
      implicit none
C------------------------------Arguments--------------------------------
C
C Input arguments
C
      integer cdate,      ! Current date as yymmdd
     $        csec        ! Seconds of day for current date
C
C Output arguments
C
      real doy            ! Day of year
C
C---------------------------Local workspace-----------------------------
C
      integer mnth,       ! Month number
     $        mday,       ! Day number of month
     $        jday        ! Day number of year
      integer jdcon(12)   ! Starting day number for each month
C
C----------------------------------Data---------------------------------
C
#if (YEAR_LENGTH == 360)
      data jdcon/0,30,60,90,120,150,180,210,240,270,300,330/
#else
      data jdcon/0,31,59,90,120,151,181,212,243,273,304,334/
#endif
      save jdcon
C
C-----------------------------------------------------------------------
C
C Decode month and day
C
      mnth = mod(cdate,10000)/100
      mday = mod(cdate,100)
      jday = jdcon(mnth) + mday
      doy  = float(jday) + float(csec)/86400.
C
      return
      end
