#include "params.h"
      subroutine extx(kbdm,fb,ikcnst)
c
      implicit none
      integer ikcnst
#include "pmgrid.com"
#include "parslt.com"
      integer ibdm,jxdm,i2pi
#ifdef PP_PCCM
      parameter( ibdm= plon + 1 + 2*nxpt,
     *           jxdm= p_lato2 +     2*nxpt + 2*jintmx,
     *           i2pi= nxpt+plon+1)
#else
      parameter( ibdm= plon + 1 + 2*nxpt,
     *           jxdm= plat +     2*nxpt + 2*jintmx,
     *           i2pi= nxpt+plon+1)
#endif
c
      integer kbdm
      real fb(ibdm,kbdm*ikcnst,jxdm)
c
c...Copy data to the longitude extensions of the extended array
c
c...On entry.
c
c  kbdm  vertical dimension
c  fb    Extended array of data with only the interior filled
c
c...On return.
c
c  fb    Extended array of data with the longitude extensions filled
c
c...Parameters required.
c
c  plon    Number of longitudes in global grid.
c  nxpt    Number of points beyond the horizontal grid boundary needed
c          to make a derivative estimate for an interval adjacent to the
c          grid boundary.
c  ibdm    Number of longitudes in extended array
c  jxdm    Number of latitudes  in extended array
c  i2pi    Index corresponding to the longitude value 2*pi.
c
      integer i,j,k
c
c     ...Fill west edge points.
c
#ifdef PP_PCCM
      if (p_nproc_ln.gt.1) return
#endif
      if(nxpt .ge. 1) then
         do 30            j = 1,jxdm
            do 20         k = 1,kbdm
               do 10      i = 1,nxpt
                  fb(i,k,j) = fb(i+plon,k,j)
   10          continue
   20       continue
   30    continue
      endif
c
c     ...Fill east edge points
c
      do 60            j = 1,jxdm
         do 50         k = 1,kbdm
            do 40      i = i2pi,ibdm
               fb(i,k,j) = fb(i-plon,k,j)
   40       continue
   50    continue
   60 continue
c
      return
      end
