#include "params.h"
      subroutine spgrdrv_c(irow ,cwava,psm1,
     $                   u3m1 ,v3m1  ,
     $                   t3m1 ,q3m1  ,
     $                   q3   ,qfcst ,
     $                   u3   ,v3    ,pdela,
     $                   hw2al,hw2bl,hw3al,hw3bl,
     $                   fft_buffer, ip )
c----------------------------------------------------------------------
c Driving routine for spegrd.  Can eliminate with implementation of
c Cray pointers in spegrd.
c----------------------------------------------------------------------
c inserted by implnone
      implicit none
#include "pmgrid.com"
#include "pagrid.com"
c----------------------------------------------------------------------
#include "comgrd.com"
c----------------------------------------------------------------------
c
c Input arguments
c
      integer irow
      real cwava,
     $     psm1(plond,plat),
     $     u3m1(plond,plevd,plat),
     $     v3m1(plond,plevd,plat),
     $     t3m1(plond,plevd,plat),
     $     q3m1(plond,plevd,plat),
     $     q3(plond,plevd,plat),
     $     qfcst(plond,plev,pcnst,plat),
     $     u3(plond,plevd,plat),
     $     v3(plond,plevd,plat)
      real pdela(plond,plev),
     $     hw2al (pcnst,plat/2),
     $     hw2bl (pcnst,plat/2),
     $     hw3al (pcnst,plat/2),
     $     hw3bl (pcnst,plat/2)

      integer ip
      real fft_buffer(plond, *) 

c
c Local workspace
c
      real b(pflena)
c
      call spg_c( irow    ,cwava   ,qfcst   ,
     $            psm1    ,u3m1    ,v3m1    ,t3m1    ,q3m1    ,
     $            q3      ,u3      ,v3      ,b(npsp1+1)       ,
     $            b(nzp1+1)        ,b(ndp1+1)        ,b(nduhp1+1),
     $            b(ndvhp1+1)      ,b(ndthp1+1)      ,b(ndqhp1+1),
     $            b(ndpslp1+1)     ,b(ndpsmp1+1)     ,b(ndpsp1+1),
     $            pdela   ,hw2al   ,hw2bl   ,hw3al   ,hw3bl, 
     $            fft_buffer, ip )
      return
      end
