C
C Constants for surface temperature/energy exchange calculations
C
      common/comtsc/latice  ,tmelt   ,cpair   ,epsilo  ,gravit  ,
     $              latvap  ,rair    ,stebol  ,qwssat  ,wssat   ,
     $              clrh2o  ,snwedp  ,zzocen  ,zzsice  ,xkar    ,
     $              ric     ,rimax
C
      real latice,    ! Latent heat of fusion
     $     tmelt,     ! Melting temperature of snow and ice
     $     cpair,     ! Specific heat of dry air at constant pressure
     $     epsilo,    ! Ratio mean molecular weight of water to dry air
     $     gravit,    ! Gravitational acceleration
     $     latvap,    ! Latent heat of vaporization
     $     rair,      ! Gas constant for dry air
     $     stebol,    ! Stefan-Boltzmann constant
     $     qwssat,    ! Adjusted inverse of soil moisture capacity
     $     wssat,     ! Soil moisture capacity
     $     clrh2o,    ! Ratio latent heat vaporization to h2o gas constant
     $     snwedp     ! Snow equivalent depth factor 
      real zzocen,    ! Ocean aerodynamic roughness length
     $     zzsice,    ! Sea ice aerodynamic roughness length
     $     xkar,      ! Von Karman constant
     $     ric,       ! Critical Richardson number
     $     rimax      ! Maximum Richardson number
C
