C
C Radiation constants
C
      common/crdcon/gravit  ,rga     ,cpair   ,epsilo  ,sslp    ,
     $              stebol  ,rgsslp  ,co2mmr  ,dpfo3   ,dpfco2  ,
     $              dayspy  ,pie
C
      real gravit,    ! Acceleration of gravity
     $     rga,       ! 1./gravit
     $     cpair,     ! Specific heat of dry air
     $     epsilo,    ! Ratio of mol. wght of H2O to dry air
     $     sslp,      ! Standard sea-level pressure
     $     stebol,    ! Stefan-Boltzmann-s constant
     $     rgsslp,    ! 0.5/(gravit*sslp)
     $     co2mmr,    ! CO2 mass mixing ratio
     $     dpfo3,     ! Voigt correction factor for O3
     $     dpfco2,    ! Voigt correction factor for CO2
     $     dayspy,    ! Number of days per 1 year
     $     pie        ! 3.14.....
C
