c
c  Basic variables and constants for LPJ
c
      integer npft
      parameter(npft=9)
c
c  3-dimensional arrays(spatial and pft dependent)
c
      real aet
      real aeq
      real suph
      real gp
      real dphen
      real fpcgrid
      real aetd
      real aeqd
      real gdd
      real aphen
      real litter_ag
      real litter_bg
      real height
      real lm_ind
      real sm_ind
      real rm_ind
      real hm_ind
      real anpp
      real nind
      real mgpp
      real lrespm
      real srespm
      real rrespm
      real gddtw
      real awscal

      logical  present
      logical  frost

      integer aleafdays
      integer ipresent
      integer ifrost

      common/lpj3d/aet(uwlon,uwlat,npft),aeq(uwlon,uwlat,npft),
     $ suph(uwlon,uwlat,npft),gp(uwlon,uwlat,npft),dphen(uwlon,uwlat,
     $ npft),fpcgrid(uwlon,uwlat,npft),aetd(uwlon,uwlat,npft),
     $ aeqd(uwlon,uwlat,npft),gdd(uwlon,uwlat,npft),
     $ aphen(uwlon,uwlat,npft),litter_ag(uwlon,uwlat,npft),
     $ litter_bg(uwlon,uwlat,npft),height(uwlon,uwlat,npft),
     $ lm_ind(uwlon,uwlat,npft),sm_ind(uwlon,uwlat,npft),rm_ind(uwlon,
     $ uwlat,npft),hm_ind(uwlon,uwlat,npft),anpp(uwlon,uwlat,npft),
     $ nind(uwlon,uwlat,npft),mgpp(uwlon,uwlat,npft),lrespm(uwlon,
     $ uwlat,npft),srespm(uwlon,uwlat,npft),rrespm(uwlon,uwlat,npft),
     $ gddtw(uwlon,uwlat,npft),awscal(uwlon,uwlat,npft),
     $ present(uwlon,uwlat,npft),frost(uwlon,uwlat,npft),
     $ aleafdays(uwlon,uwlat,npft),ipresent(uwlon,uwlat,npft),
     $ ifrost(uwlon,uwlat,npft)
c
c  2-dimension arrays(spatial dependent)
c
      real fbare
      real wu
      real wl
      real laettot
      real k_fast_ave
      real k_slow_ave
      real litter_decom_ave
      real cpool_fast
      real cpool_slow
      real aprec
      real gddclim

      common/lpj2d/fbare(uwlon,uwlat),wu(uwlon,uwlat),wl(uwlon,uwlat),
     $ laettot(uwlon,uwlat),k_fast_ave(uwlon,uwlat),k_slow_ave(uwlon,
     $ uwlat),litter_decom_ave(uwlon,uwlat),cpool_fast(uwlon,uwlat),
     $ cpool_slow(uwlon,uwlat),aprec(uwlon,uwlat),gddclim(uwlon,uwlat)
c
c 3-dimensional arrays(spatial and month)
c
      real tsm
      real wum

      common/lpj3dm/tsm(uwlon,uwlat,12),wum(uwlon,uwlat,12)
c
c 3-dimensional arrays(spatial and year)
c
      real tsm_min20

      common/lpj3dy/tsm_min20(uwlon,uwlat,20)
c
c  1-dimensional arrays(pft dependent)
c
      real sla
      real lm_sapl
      real sm_sapl
      real hm_sapl
      real rm_sapl
      real crownarea

      logical tree
      logical evergreen
      logical summergreen
      logical raingreen
      logical needle
      logical boreal

      common/lpj1d/sla(npft),lm_sapl(npft),sm_sapl(npft),hm_sapl(npft),
     $ rm_sapl(npft),crownarea(npft),
     $ tree(npft),evergreen(npft),summergreen(npft),raingreen(npft),
     $ needle(npft),boreal(npft)
c
c   constants
c
      real latosa,wooddens,reinickerp
      real allom1,allom2,allom3,allom4

      common/lpjconst/latosa,wooddens,reinickerp,allom1,allom2,allom3,
     $ allom4
