c
c surface albedo data
c
c vs = 0.2 - 0.7 micro-meters wavelength range
c ni = 0.7 - 5.0 micro-meters wavelength range
c
c s  = strong zenith angle dependent surfaces
c w  = weak   zenith angle dependent surfaces
c
c the albedos are computed for a model grid box by ascribing values to
c high resolution points from a vegetation dataset, then linearlly 
c averaging to the grid box value; ocean and land values are averaged
c together along coastlines; the fraction of every grid box that has
c strong zenith angle dependence is included also.
c
      real oalbvss, ! grid box alb for vs over strng zn srfs
     $     oalbvsw, ! grid box alb for vs over weak  zn srfs
     $     oalbnis, ! grid box alb for ni over strng zn srfs
     $     oalbniw, ! grid box alb for ni over weak  zn srfs
     $     ofrctst  ! fraction of area in grid box strng zn 
c
      common /ocrdalb/oalbvss(uwlon,uwlat),oalbvsw(uwlon,uwlat),
     $               oalbnis(uwlon,uwlat),oalbniw(uwlon,uwlat),
     $               ofrctst(uwlon,uwlat)
