C
C Vertical difference matricies for reference atmosphere,
C wavenumber factors and latitude grid vectors
C
      common/commap/ sit_dbl(plat/2)
      common/commap/bps(plev),sq(pnmax),rsq(pnmax),xm(pmmax),
     $              sit(plat/2),w(plat/2),cs(plat/2),
     $              href(plev,plev),ecref(plev,plev),clat(plat),
     $              bm1(plev,plev,pnmax),tau(plev,plev)
C
      real bps,      ! coefficient for ln(ps) term in divergence eqn
     $     sq,       ! n(n+1)/a^2  (del^2 response function)
     $     rsq,      ! a^2/(n(n+1))
     $     xm,       ! m (longitudinal wave number)
     $     sit,      ! |sine latitude| (hemisphere)
     $     w,        ! gaussian weights (hemisphere)
     $     cs,       ! cosine squared latitude (hemisphere)
     $     href,     ! reference hydrostatic equation matrix
     $     ecref,    ! reference energy conversion matrix
     $     clat,     ! current latitude (radians)
     $     bm1,      ! semi-implicit matrix (divergence equation)
     $     tau       ! matrix for reference d term in thermodynamic eqn
C
#ifdef WORD4
      real*8 sit_dbl
#else
      real sit_dbl
#endif

