      integer pwr37(7),    ! table of powers of 37
     $        ctable(122), ! conversion table: space = 0,
     $                     ! 0-9 = 1-10 a-z and A-Z = 11-36
     $        tratoi,      ! character name translated to integer
     $        neg          ! huge negative number such that non alphanumeric
     $                     ! input will result in a model abort
      parameter (neg = -(36*37**7 + 36*37**6 + 36*37**5 +
     $          36*37**4 + 36*37**3 + 36*37**2 + 36*37 + 37))
      data ctable/31*neg ,0 ,15*neg  ,1,2,3,4,5,6,7,8,9,10,7*neg,
     $           11,12,13,14,15,16,17,18,19,20,21,22,23,
     $           24,25,26,27,28,29,30,31,32,33,34,35,36,6*neg,
     $           11,12,13,14,15,16,17,18,19,20,21,22,23,
     $           24,25,26,27,28,29,30,31,32,33,34,35,36/
      data pwr37/37,1369,50653,1874161,69343957,2565726409,94931877133/
      character*8 name
c
      tratoi(name) = ctable(ichar(name(1:1)))*pwr37(7) +
     $               ctable(ichar(name(2:2)))*pwr37(6) +
     $               ctable(ichar(name(3:3)))*pwr37(5) +
     $               ctable(ichar(name(4:4)))*pwr37(4) +
     $               ctable(ichar(name(5:5)))*pwr37(3) +
     $               ctable(ichar(name(6:6)))*pwr37(2) +
     $               ctable(ichar(name(7:7)))*pwr37(1) +
     $               ctable(ichar(name(8:8)))
