#include "params.h"
      subroutine reordp(irow,zalp,zdalp,ix,iy)
C-----------------------------------------------------------------------
C
C REORDER ASSOCIATED LEGENDRE POLYNOMIALS
C REORDP WORKS FOR A PENTAGONAL TRUNCATION
C
C-----------------------------------------------------------------------
c inserted by implnone
      implicit none
c declarations inserted by implnone
      integer irow,ix,iy,m,mr,n
#include "pmgrid.com"
C-----------------------------------------------------------------------
#include "pspect.com"
C-----------------------------------------------------------------------
#include "comspe.com"
C-----------------------------------------------------------------------
#ifdef PP_PCCM
#include "comparll.com"
C-----------------------------------------------------------------------
#endif
C
#ifdef WORD4
      double precision zalp(iy),
     $     zdalp(iy)
      double precision zsq2
#else
      real zalp(iy),
     $     zdalp(iy), zsq2
#endif
#ifdef PP_PCCM
      integer mm, irow_g
#endif
C
#ifdef PP_PCCM
      zsq2 = dsqrt(2.D0)

      irow_g =m_pin_lt*plat/2+irow

      do mm=m_fwavbeg, m_fwavend
	 m  = m_mtrue(mm)
         mr = m_offalp(mm)
         do n=1,m_lenalp(mm)
            alp(mr+n,irow) = zalp((m)*pmax + n) * zsq2
            dalp(mr+n,irow) = -zdalp((m)*pmax + n) * zsq2
#ifdef PP_ERROR
c	    write(0,99) m,n+m-1,irow_g,zalp((m)*pmax + n) * zsq2
c	    write(0,101)m,n+m-1,irow_g,-zdalp((m)*pmax + n) * zsq2
c	    write(0,98) m,n+m-1,irow_g,alp(mr+n,irow)
c	    write(0,100)m,n+m-1,irow_g,-dalp(mr+n,irow)
#endif
         end do
      end do
  98              format(1p,1x,'AALPs',I4,2X,I4,2X,I4,2X,e23.15)
  99              format(1p,1x,'AALP',I4,2X,I4,2X,I4,2X,D23.15)
 100              format(1p,1x,'DALPs',I4,2X,I4,2X,I4,2X,e23.15)
 101              format(1p,1x,'DALP',I4,2X,I4,2X,I4,2X,D23.15)

#else
      do m=1,pmmax
         mr = nstart(m)
         do n=1,nlen(m)
            alp(mr+n,irow) = zalp((m-1)*pmax + n)
            dalp(mr+n,irow) = zdalp((m-1)*pmax + n)
         end do
      end do
#endif
      return
      end

