#include "params.h"
      subroutine qmassa(cwava,w,q3,pdel,hw1lat)
c
C     !  Calculate mass of moisture in field being advected by slt.
c
      implicit none
#include "pmgrid.com"
      real cwava,
     $     w,
     $     q3(plond,plev,pcnst),
     $     pdel(plond,plev),
     $     hw1lat(pcnst)
c
      integer i,k,m
#ifdef PP_PCCM
      real repro_tmp(plon)
      real hw_buf(plon)
      real f_locsum
c
      do 40 m=1,pcnst
      do i = 1,plon
	 hw_buf(i) = 0.0
      enddo
      do 30 k=1,plev
         do 20 i=1,plon
            hw_buf(i) = hw_buf(i) + q3(i,k,m)*pdel(i,k)
   20    continue
   30 continue
      do i=1,plon
	 hw_buf(i) = hw_buf(i) * cwava*w*0.5
      enddo
      hw1lat(m) = f_locsum( hw_buf, plon, repro_tmp )
   40 continue
#else
c
      do 40            m = 1,pcnst
         do 30         k = 1,plev
            do 20      i = 1,plon
               hw1lat(m) = hw1lat(m) + q3(i,k,m)*pdel(i,k)
   20       continue
   30    continue
         hw1lat(m)       = cwava*w*hw1lat(m)*0.5
   40 continue
#endif
      return
      end

